/// <reference types="node" />
export declare type CipherAlgorithm = 'aes-256-cbc' | 'aes-128-cbc';
export interface Cipher {
    encrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>;
    decrypt(algorithm: CipherAlgorithm, key: NodeJS.TypedArray, iv: NodeJS.TypedArray, data: NodeJS.TypedArray): Promise<Buffer>;
}
export declare function createCipher(): Promise<Cipher>;
