"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ripemd160_min_1 = require("ripemd160-min");
class Ripemd160Digest {
    async digest(data) {
        const instance = new ripemd160_min_1.default();
        if (Buffer.isBuffer(data)) {
            instance.update(data);
        }
        else {
            instance.update(Buffer.from(data.buffer));
        }
        const hash = instance.digest();
        if (Array.isArray(hash)) {
            return Promise.resolve(Buffer.from(hash));
        }
        else {
            return Promise.resolve(Buffer.from(hash.buffer));
        }
    }
}
function createHashRipemd160() {
    return new Ripemd160Digest();
}
exports.createHashRipemd160 = createHashRipemd160;
//# sourceMappingURL=hashRipemd160.js.map